package models

import "time"

// A token used during the login process
// Each user may only have at most one login process active at the same time
type LoginProcessToken struct {
	User      User
	UserId    string
	Token     string `gorm:"primarykey;type:uuid;default:gen_random_uuid()"`
	ExpiresAt time.Time
}
